1

Getting this Error: [ng:btstrpd] App already bootstrapped with this element '<crm-angular-js modules="crmDashboard">' on Dashboard with the only "CiviCRM News" enabled and empty. What would it be? Drupal 7.9, CiviCRM 5.51.1

2
  • 1
    I have similar error message with Drupal 9 and CiviCRM 5.51.1 and only "CiviCRM Resources" dashlet active. For me it seems that it just appears after upgrading to PHP 8.0... I updated CiviCRM today and on my first test this error did not appear (with PHP 7.3). We just updated to PHP 8.0 and now I get this error: angular.min.js?r=0BEcoen_US:129 Error: [ng:btstrpd] http://errors.angularjs.org/1.8.2/ng/btstrpd?p0=%26lt%3Bcrm-angular-js%20modules%3D%22crmDashboard%22%26gt%3B Jul 21, 2022 at 8:46
  • @TobiasKrause Thank you, good to know I'm not alone :-) On the bright side, I've fixed this one by replacing civicrm_dashboard table in the database by one taken from a fresh empty civicrm setup. Going to examine differences between the tables, there must be something.
    – yurg
    Jul 21, 2022 at 8:53

1 Answer 1

3

Drupal 7

Broken upgrade, try to replace database tables (civicrm_dashboard/_menu/_navigation) with vanilla tables

Drupal 8/9

According to https://lab.civicrm.org/dev/core/-/issues/2975 there is one extra command to run after

composer civicrm:publish

This bit might worth adding to https://docs.civicrm.org/sysadmin/en/latest/upgrade/drupal8/ unless things have been changed ( for instance, my D9 composer.json has a different "required" section. ).

2
  • composer civicrm:publish fixed it here. I'll add it to the System Admin Guide. Thank you @yurg
    – wintermoor
    Jan 10, 2023 at 6:37
  • @Stoob added it to the System Admin Guide two days ago.
    – wintermoor
    Jan 10, 2023 at 6:53

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.